export default class myDataSet {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetManage/list', 'post', params, axiosOption, httpOption);
  }
          
  static listForTree (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetManage/listForTree', 'post', params, axiosOption, httpOption);
  }
          
  static view (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetManage/view', 'get', params, axiosOption, httpOption);
  }
          
  static export (sender, params, fileName) {
    return sender.download('/admin/app/datasetManage/export', params, fileName);
  }
          
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetManage/add', 'post', params, axiosOption, httpOption);
  }
          
  static update (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetManage/update', 'post', params, axiosOption, httpOption);
  }
          
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/datasetManage/delete', 'post', params, axiosOption, httpOption);
  }
}
